package svc

import (
	"github.com/zeromicro/go-zero/zrpc"
	"jyBXSubscribe/api/internal/config"
	"jyBXSubscribe/rpc/bxsubscribe"
)

type ServiceContext struct {
	Config   config.Config
	Suscribe bxsubscribe.Bxsubscribe
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:   c,
		Suscribe: bxsubscribe.NewBxsubscribe(zrpc.MustNewClient(c.Subscribe)),
	}
}
